.Dd June 12, 2017
.Dt OOOK-DUMP-EXT2 1
.Sh NAME
.Nm oook-dump-ext2
.Nd Script to back up ext2/3/4 filesystems Oook
.Sh SYNOPSIS
.Nm
.Ic full | incr
.Ar filesystem
.Sh DESCRIPTION
.Nm
uses the
.Xr dump 8
command to back up a Linux Second, Third, or Fourth Extended Filesystem.
To run, it requires read access to the block device holding the
filesystem and write access to the default dumpdates file used by
.Xr dump 8 .
It calls the
.Xr userv 1
service
.Ic oook-flushbufs
on the target filesystem before running
.Xr dump 8
in order to make the filesystem as consistent as possible.
.Pp
.Nm
can also be invoked as
.Nm oook-dump-ext3
or
.Nm oook-dump-ext4 .
It behaves the same whatever name is used to invoke it.
.Sh EXAMPLES
.Nm
is usually invoked by
.Xr oook-client 1 .
For instance if
.Pa /home
is an ext4 filesystem,
.Pa /etc/oook/fslist
might contain:
.Pp
.Dl /home dump-ext4
.Sh SEE ALSO
.Xr oook-client 1 ,
.Xr userv 1 ,
.Xr dump 8 .
.Sh AUTHORS
.Nm
and this manual page were written by Ben Harris for the University of
Cambridge Information Services.
